POST /v0/backfilling/migration-info
curl --request POST \
--url https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/backfilling/migration-info \
--header 'Content-Type: application/json' \
--data '
{
"migration_id": 123
}
'import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/backfilling/migration-info"
payload = { "migration_id": 123 }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({migration_id: 123})
};
fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/backfilling/migration-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"record_time_range": [
{
"synchronizer_id": "<string>",
"min": "2023-11-07T05:31:56Z",
"max": "2023-11-07T05:31:56Z"
}
],
"complete": true,
"previous_migration_id": 123,
"last_import_update_id": "<string>",
"import_updates_complete": true
}{
"error": "<string>"
}POST /v0/backfilling/migration-info
List all previous synchronizer migrations in this Splice network’s history.
POST
/
v0
/
backfilling
/
migration-info
POST /v0/backfilling/migration-info
Body
application/json
Response
ok
All domains for which there are updates in the given migration id, along with the record time of the newest and oldest update associated with each domain
Show child attributes
Show child attributes
True if this scan has all non-import updates for given migration id
The migration id that was active before the given migration id, if any.
The update id of the last import update (where import updates are sorted by update id, ascending) for the given migration id, if any
True if this scan has all import updates for the given migration id
Was this page helpful?
⌘I